cURL
curl --request POST \
--url https://api.connect.fastenhealth.com/v1/support/request \
--header 'Content-Type: application/json' \
--data '
{
"email": "support@company.com",
"name": "John Doe",
"subject": "Epic Sandbox test credentials do not work",
"body": "<string>"
}
'import requests
url = "https://api.connect.fastenhealth.com/v1/support/request"
payload = {
"email": "support@company.com",
"name": "John Doe",
"subject": "Epic Sandbox test credentials do not work",
"body": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'support@company.com',
name: 'John Doe',
subject: 'Epic Sandbox test credentials do not work',
body: JSON.stringify('<string>')
})
};
fetch('https://api.connect.fastenhealth.com/v1/support/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connect.fastenhealth.com/v1/support/request",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'support@company.com',
'name' => 'John Doe',
'subject' => 'Epic Sandbox test credentials do not work',
'body' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.connect.fastenhealth.com/v1/support/request"
payload := strings.NewReader("{\n \"email\": \"support@company.com\",\n \"name\": \"John Doe\",\n \"subject\": \"Epic Sandbox test credentials do not work\",\n \"body\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.connect.fastenhealth.com/v1/support/request")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"support@company.com\",\n \"name\": \"John Doe\",\n \"subject\": \"Epic Sandbox test credentials do not work\",\n \"body\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connect.fastenhealth.com/v1/support/request")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"support@company.com\",\n \"name\": \"John Doe\",\n \"subject\": \"Epic Sandbox test credentials do not work\",\n \"body\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true
}Support
Support Request
File a support ticket with the Fasten team using our API.
This endpoint is in BETA and is not recommended for production use. We reserve the right to remove this endpoint at any time.
This API is rate limited and is subject to change. Please contact support@fastenhealth.com before use.
POST
/
support
/
request
cURL
curl --request POST \
--url https://api.connect.fastenhealth.com/v1/support/request \
--header 'Content-Type: application/json' \
--data '
{
"email": "support@company.com",
"name": "John Doe",
"subject": "Epic Sandbox test credentials do not work",
"body": "<string>"
}
'import requests
url = "https://api.connect.fastenhealth.com/v1/support/request"
payload = {
"email": "support@company.com",
"name": "John Doe",
"subject": "Epic Sandbox test credentials do not work",
"body": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'support@company.com',
name: 'John Doe',
subject: 'Epic Sandbox test credentials do not work',
body: JSON.stringify('<string>')
})
};
fetch('https://api.connect.fastenhealth.com/v1/support/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connect.fastenhealth.com/v1/support/request",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'support@company.com',
'name' => 'John Doe',
'subject' => 'Epic Sandbox test credentials do not work',
'body' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.connect.fastenhealth.com/v1/support/request"
payload := strings.NewReader("{\n \"email\": \"support@company.com\",\n \"name\": \"John Doe\",\n \"subject\": \"Epic Sandbox test credentials do not work\",\n \"body\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.connect.fastenhealth.com/v1/support/request")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"support@company.com\",\n \"name\": \"John Doe\",\n \"subject\": \"Epic Sandbox test credentials do not work\",\n \"body\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connect.fastenhealth.com/v1/support/request")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"support@company.com\",\n \"name\": \"John Doe\",\n \"subject\": \"Epic Sandbox test credentials do not work\",\n \"body\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true
}Query Parameters
Body
application/json
Submit a support request

